﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Tables;
using Syncfusion.Pdf.Parsing;

namespace PDF_header
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
       
        private void button1_Click(object sender, EventArgs e)
        {
            PdfDocument doc = new PdfDocument();
            doc.Pages.Add();
            PdfBitmap image = PdfImage.FromFile("../../Data/logo.png") as PdfBitmap;
            PointF imageLocation = new PointF(doc.Pages[0].GetClientSize().Width-image.PhysicalDimension.Width, 20);
            RectangleF rect = new RectangleF(0, 0, doc.Pages[0].GetClientSize().Width, 90);
            PdfPageTemplateElement header = new PdfPageTemplateElement(rect);
            image.Quality = 100;
            header.Graphics.Save();
            header.Graphics.ScaleTransform(.88f, .88f);
            header.Graphics.DrawImage(image, imageLocation);
            header.Graphics.Restore();
            doc.Template.Top = header;

            doc.Save("sample.pdf");
            System.Diagnostics.Process.Start("sample.pdf");
        }



       


    }
}
